PAPI_get_eventset_component(3)

NAME
PAPI_get_eventset_component -

return index for component an eventset is assigned to

SYNOPSIS

Detailed Description

@retval PAPI_ENOEVST
    eventset does not exist
@retval PAPI_ENOCMP
    component is invalid or does not exist
@retval positive value
    valid component index

@param EventSet
           EventSet for which we want to know the component index
@par Examples:

        int cidx,eventcode;
        cidx = PAPI_get_eventset_component(eventset);
*

 PAPI_get_eventset_component() returns the component an event belongs to.

See Also:
    PAPI_get_event_component

Author

Generated automatically by Doxygen for PAPI from the source code.